2019-04-07         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Updated from GNULIB.

2019-04-05         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Add a missing word.

2019-03-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkinet.texi: Small formatting fixes. Update version and dates.

2019-03-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More minor fixes.
	* wordlist: Updated.

2019-03-10         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update master menu.

2019-03-09         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Regexp Operators): Refactor a bit into subsections,
	mention that BWK awk now has interval expressions.

2019-02-28         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix a spelling error, change update month.
	* gawkworkflow.texi: Small fixes.
	* wordlist: Updated.

2019-02-25         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Updated from GNULIB.

2019-02-20         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix order of values for PROCINFO["platform"],
	save an email in @ignore for possible eventual inclusion.
	* gawk.1: Correct values for PROCINFO["platform"].

2019-02-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Viewing And Changing Data): Revise note for eval
	to list commands that are not allowed using it.

2019-02-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix wording for %f.
	Thanks to Dan Liddell <dan_liddell@mentor.com> for the catch.
	(Viewing And Changing Data): Note that eval has problems calling
	user-defined functions that return a value. Thanks to
	Lothar Langer <lotharla@gmail.com> for the report.

2019-02-11         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Don't use `\global\usebracesinindexestrue' as it's
	no longer supported.
	(Function Calling): Renamed from `Function Caveats'.
	(Function Caveats): New node.
	* gawkinet.texi: Don't use `\global\usebracesinindexestrue' as it's
	no longer supported.

2019-02-07         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix some indexing with too many commas.
	* gawk.info: Regenerated, moved to makeinfo 6.5.
	* texinfo.tex: Updated.

2019-02-04         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Some more minor edits.

2019-02-03         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.am (EXTRA_DIST): Add wordlist3.
	(spellmanpage): New target.
	(spell): Add spellmanpage to the list.
	* wordlist1: Updated.
	* wordlist3: New file.
	* awkcard.in: Finish cleanups.
	* gawk.1: Ditto.
	* gawktexi.in: Fix small typo.

2019-02-01         Arnold D. Robbins     <arnold@skeeve.com>

	* awkcard.in: Start on cleanup edits.
	* gawk.1: Ditto.
	* gawktexi.in: Credit Nelson Beebe with gawk's current
	random number generator.
	* gawk.texi, gawk.info: Brought back into sync.

2019-01-28         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in, gawk.1, awkcard.in: Update copyright dates and
	appropriate version numbers.

2019-01-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Namespaces): Add a cautionary note that the feature
	is new and may still have dark corners and/or bugs.

2019-01-18         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Finish up indexing changes.

2019-01-14         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More work on the indexing.
	Document that `-f -' works to read source code from stdin.

2019-01-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Work on the indexing.

2019-01-11         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (I18N Example): $LC_MESSAGES is involved here
	also. Document this.

2019-01-09         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in (Undocumented): Discuss typeof's optional 2nd argument.

2019-01-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (I18N Example): Add more explanation of how to
	make the directory to hold the .mo file.

2019-01-04         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Indexing fixes and small corrections.

2019-01-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Some small indexing fixes. Thanks to Antonio
	Giovanni Colombo for pointing them out.

2019-01-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: A few more fixes w.r.t. namespaces. Thanks to
	Antonio Giovanni Colombo for pointing out the problems.

2018-12-31         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: A few fixes w.r.t. namespaces. Thanks to
	Antonio Giovanni Colombo for pointing out the problems.

2018-12-18         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Added more indexing to the debugger chapter.
	Add more indexing to namespaces chapter, too.

2018-12-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Clean up some FIXMEs and other improvements.
	* gawk.1: Mention that files read with -f and -i and command
	line segments all implicitly start with @namespace "awk".

2018-12-18         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Added more indexing to the debugger chapter.

2018-11-29         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Auto-set): Document that you can no longer use
	arbitrary indices in SYMTAB.
	* gawk.1: Ditto.

2018-12-18         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Added more indexing to the debugger chapter.

2018-11-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Other Versions): Document GoAWK, an awk interpreter
	written in Go.

2018-11-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Auto-set) : Update values of PROCINFO["platform"].
	(PC Using): Add to BINMODE discussion to always set it and
	not worry about checking platforms. Per discussion with the dev team.

2018-11-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document that split() third arg is like FS, if it's
	a single character, that character is used, even if it's a
	regexp metacharacter.
	* gawk.1: Ditto.
	Thanks to R <0xef967c36@gmail.com> for the report.

2018-11-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document PROCINFO["platform"].
	* gawk.1: Ditto.

2018-11-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Small typo fix.

2018-11-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Assignment Options): Add description of assigning
	strongly typed regexp constants to variables.

2018-11-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in): Small typo fixes. Thanks to Antonio
	Giovanni Colombo for pointing them out.

2018-11-01         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Profiling): Review and update.

2018-10-30         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Arrays of Arrays): Typo fix in code. Thanks to Alto Tom
	<alto.tom@gmail.com> for the report.
	(Usenet): Small edit.

2018-10-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Usenet): Mention that web forums are also not
	the right place for gawk bug reports.

2018-10-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Bug address): Mention the GNU Kind
	Communications Guidelines, with URL.
	* texinfo.tex: Updated from GNULIB.

2018-10-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Profiling): Revise example for pattern without
	action and note that the profiler distinguishes `print' and
	`print $0'.

2018-09-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Extracting): Note that patch levels above
	60 are beta software, instead of above 70.

2018-09-21         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update UPDATE_MONTH.

2018-09-16         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.in: Regenerated, using Automake 1.16.1.

2018-08-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Other Versions): Updated info on BWK awk.
	* gawktexi.in (Control Letters): Note that BWK awk now also
	supports %a/%A.

2018-08-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: A number of unrelated updates. Most notably,
	removed the section on old extensions which has been irrelevant
	since 4.2.0. Oops.

2018-08-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Scalar Constants): Fix typos in example.

2018-07-31         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Scalar Constants): Document what happens with
	physical newlines in strings, escaped and otherwise.

2018-07-31         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Two-way I/O): Fix some typos.
	* gawkworkflow.texi (Configuring git): Correct some
	command usages. Thanks to Antonio Colombo for the fix.

2018-07-31         Ralph Corderoy        <ralph@inputplus.co.uk>

	* gawk.1: Avoid hyphenation in gawk email address.

2018-07-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Two-way I/O): Add a nice example on buffering
	and ptys from Andrew Schorr.

2018-07-10         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Control Letters): Add a note about output of NaN and
	INF values with an xref to POSIX Floating Point Problems.
	(POSIX Floating Point Problems): Describe that gawk also outputs the
	four special strings for NaN and INF values.

2018-06-27         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Updated.

2018-06-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Records, gawk split records): More explanation
	of how RS works when it's longer than one character. Thanks
	to Andrew Schorr for most of the wording.
	* wordlist: Updated.

2018-06-11         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (awk split records): Document that even if the
	single character in RS is a regexp metacharacter, it's
	treated literally. Per suggestion from Ed Morton.

2018-06-06         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Extract Program): Remove an obsolete sentence.
	Thanks to Andrew Giovanni Colombo for pointing it out.

2018-05-31         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (String Functions): Clean up and clarify the
	prose description of gensub(). Thanks to Andrew Schorr
	for the encouragement (back in 2016...).

2018-05-31         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Extract Program): Additional bug fixes. Close
	the last file processed, and use the index of the for loop
	which is the filename as the argument to close()!

2018-05-28         Bjarni Ingi Gislason  <bjarniig@rhi.hi.is>

	* gawk.1: Change two-fonts macros to one-font macros for a
	single argument.

2018-05-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Extract Program): Bug fix. Keep the files open
	in case one program's bits are intermixed with another's.
	Then close them all at the end.  Bug report was about
	indirectcall.awk but affected another file as well. Thanks
	to Ramasahayam Reddy <rureddy57@gmail.com> for the report.

2018-05-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Auto-Set): For PROCINFO["sorted_in"], make the xref
	point to the right place. Reported by David Kaspar
	<dkaspar@redhat.com> from downstream bugzilla:
	https://bugzilla.redhat.com/show_bug.cgi?id=1581434

2018-05-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Bitwise Functions): Use @asis in the table to
	get brackets for optional stuff to come out in Roman.

2018-05-10         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Bracket Expressions): Document the full list
	of characters in [:space:]. Thanks to Jannick <thirdedition@gmx.net>
	for the suggestion.  Also note that current BWK awk gets [:blank:]
	wrong, treating it like [:space:].

2018-04-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Minor edit in the man page. Thanks to Howard
	Johnson <hj@HowardJohnson.name> for the report.

2018-04-02         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Updated.

2018-03-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in, gawk.1: Remove mention of tail recursion
	optimization from documentation on -O.

2018-03-22         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in, gawk.1, awkcard.in: Document %a and %A.
	* wordlist, wordlist2: Updated.

2018-03-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkworkflow.texi: Fix update month.

2018-02-25         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.2.1: Release tar ball made.

2018-02-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update UPDATE-MONTH.
	* awkcard.in: Update tar ball version and copyright year.

2018-02-25         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Updated.

2018-02-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Further fix to NONFATAL stuff. Thanks to
	Antonio Giovanni Colombo for the report.

2018-02-16         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix NONFATAL stuff to cover input redirections too.

2018-02-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Fix NONFATAL stuff to cover input redirections too.

2018-02-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Clarify binary mode is default on Cygwin,
	improve section on using on PCs to refer to MinGW and DJGPP.
	Thanks for the report to a contributor who wishes to
	remain anonymous.

2018-01-28         Arnold D. Robbins     <arnold@skeeve.com>

	* wordlist: Updated.

2018-01-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (AWKLIBPATH Variable): Add note that changing
	ENVIRON["AWKLIBPATH"] won't affect the running program. Thanks to
	Neil R. Ormos <ormos-gnulists17@ormos.org> for the suggestion.

2018-01-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (gawkextlib): Update discussion of gawkextlib.
	Add not about json extension, and just present the list as
	describing some of the extensions, since there are now too
	many to try to keep up with all of them.

2018-01-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update gnu.org and fsf.org URLs to https. OK'd
	by the FSF.

2018-01-11         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Remove incorrect '*' on some declarations of
	ext_id in sample extension code. Thanks to Panos Papadopoulos
	<panos1962@gmail.com> for the report.
	* texinfo.tex: Updated from GNULIB.

2018-01-08         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in (Checking for MPFR): Add warnings about exit's processing
	of END rules.

2018-01-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update copryight year, and some small cleanups.

2018-01-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Setting the rounding mode): Add a sidebar
	with sample code (courtesy of <nethox@gmail.com>) to
	demonstrate how ROUNDMODE affects number to string conversion.

2017-12-28         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Updated.
	* gawktexi.in (How To Contribute): Update to point to
	awklang.org.

2017-12-22         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Updated.

2017-12-20         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Additional Configuration Options): Add
	description of the --enable-versioned-extension-dir option.

2017-12-01         Sergey Tselikh     <stselikh@gmail.com>

	* gawktexi.in: Several small changes to gawktexi.in,
	mainly related to fixing typos, small text polishing
	and adding @group/@end group in @example and @example-like
	constructs to clean PDF version (formatted for Letter paper,
	which is the default) of orphaned single lines of source code
	or example output in higher and lower parts of pages (such
	lines were with just a "}", or with a single line of code or
	a comment).  Hyphenated words "single-precision",
	"double-precision" and alike left untouched.

2017-12-14         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add a note to add a section on recursion.
	Thanks to Bill Duncan <bduncan@beachnet.org> for the
	suggestion.
	* gawktexi.in: Add a missing DARKCORNER indicator and
	a few missing dark corner index entries. Remove the note
	at the end to check that all dark corners are indexed and
	instead make it part of the list of consistency checks.

2017-11-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkworkflow.texi (General practices): Use correct option
	--delete for deleting a branch upstream, instead of -d.

2017-11-21         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in (Setting the Rounding Mode): Fix the description
	of ROUNDMODE "A": it uses MPFR_RNDA mode, which rounds away from zero,
	not "Round to nearest, ties away from zero". 
	* gawk.1 (ROUNDMODE): Fix description of "A".

2017-11-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Changes from API V1): Give a list of things
	that changed, with xrefs. Thanks to Andrew Schorr for the push.

2017-11-09         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (For Statement): Small clarification in the text.

2017-11-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (General Data Types): Move AWK_NUMBER_TYPE
	enum out to top level, corresponding to code change.

2017-10-19         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.2.0: Release tar ball made.

2017-10-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (EDITION): Update to 4.2. Also, remove all visible
	references to http://awk.info; that site no longer exists.  

2017-10-17         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	Update docs to indicate that isarray is not deprected in this release.

	* awkcard.in: Remove "Deprecated" notice under isarray.
	* gawk.1: Remove deprecated warning under isarray documentation.
	* gawkexti.in: Remove sentence indicating that isarray is deprecated
	and recommending typeof instead.

2017-10-16         Arnold D. Robbins     <arnold@skeeve.com>

	* awkcard.in: Add @namespaces to Execution section.

2017-10-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Documents namespaces.
	* awkcard.in: Ditto.

2017-10-10         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Readfile Function): Fix the code for the naive
	function to be syntactically and semantically correct. Thanks to
	Jaromir Obr <jaromir.obr@gmail.com> for the report.
	(POSIX String Comparison): Add some URL references in @ignore.

	Unrelated:

	* gawktexi.in: Remove description of --with-whiny-user-strftime
	configuration option.

2017-10-08         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Fix discussion of AWKPATH in section on @include.

2017-10-04         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update the update month to October.

2017-10-02         Antonio Giovanni Colombo   <azc100@gmail.com>

	* gawktexi.in: Two typo fixes.

2017-10-01         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add pointer to mawk 2.0 GitHub page.

2017-10-01         Antonio Giovanni Colombo   <azc100@gmail.com>

	* gawktexi.in: Update many URLs to https. Some other small fixes.

2017-10-01         Arnold D. Robbins     <arnold@skeeve.com>

	* awkcard.in: One more small change.
	* gawk.1: Brought up to date and polished a bit.
	* gawktexi.in: Some small additional fixes.

2017-09-29         Arnold D. Robbins     <arnold@skeeve.com>

	* awkcard.in: Finish changes (we hope) for next release.

2017-09-28         Arnold D. Robbins     <arnold@skeeve.com>

	* ad.block: Change FSF URL to https.
	* awkcard.in: First round of changes for next release.

2017-09-18         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Change GNU URLs to use `https://...'.
	Revise UPDATE_MONTH.
	* texinfo.tex: Updated.

2017-09-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Change 'namespace' to 'name_space' where it matters
	for C++ compatibility.

2017-09-13         David Kaspar          <dkaspar@redhat.com>

	* gawktexi.in: Fix the dir entry.
	* gawkinet.texi: Allow calling as `info awktexi'.

2017-09-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Installation summary): Note OS/2 exists for PCs
	in a comment.

2017-08-28         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Contributors): Update entry for Steven Davies.

2017-08-24         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Updated. Fixes table of contents issue
	with very long title.
	* gawktexi.in: Slight rearranging of order of things that
	happened in 4.2.  Minor cleanups related to Scott Deifik.

2017-08-21         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Updated. Fixes table of contents issue
	with Part header.

2017-08-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document Marco Curreli's contribution of
	the Italian translation, along with Antonio Colombo.

2017-08-16         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update history of features appendix section.
	* wordlist, worldlist2: Add more words.

2017-08-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in, gawk.1, awkcard.in: Update versions and
	copyright years, prepatory to starting a release spiral.

2017-08-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update API chapter with info about additions
	for accessing and/or creating MPZ and MPFR values.

2017-08-04         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Updated.

2017-08-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Namespace Summary): Add summary to namespace
	chapter.

2017-08-01         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update with info about DJGPP port now
	being supported.

2017-07-28         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Type Functions): Improve the example
	for untyped variables.
	(Extension Exercises): Remove the exercise that talks
	about namespaces, since it's no longer relevant.

2017-07-28         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Extension Sample Inplace): Apply GPL to
	inplace.awk; should have done that when it was first
	added. Oops.

2017-07-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Namespaces): More edits.

2017-07-21         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix a spelling error.
	* wordlist: Update with more words.

	Done also for namespace material.

2017-07-20         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Extension Sample Inplace): Rework to use the
	"inplace" namespace.

	* gawktexi.in (Namespace And Features): Renamed from
	`Namespace Misc' and reworked.
	(Symbol table by name): Add note about namespace and
	component name rules with xref to section in Namespaces chapter.

2017-07-19         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Namespaces): Cleanup, new section on naming rules
	added.

2017-07-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Namespaces): Revised password suite example.
	(Symbol table by name): Add entries for namespace versions
	of lookup and update routines.

2017-07-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Namespaces): More updates. Especially that
	reserved words are not allowed in either half of a fully
	qualified name or as a namespace.

2017-07-05         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Namespaces): More updates.

2017-07-02         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Pull in latest from Texinfo SVN.

2017-06-30         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Namespaces): Move to later in the book.

2017-06-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Namespaces): More minor doc edits.

2017-06-19         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in (Memory Allocation Functions and Convenience Macros):
	Document new ezalloc API macro.

2017-06-18         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawkworkflow.texi: Fix typo.

2017-06-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Expand tab characters.
	* gawktexi.in (Namespaces): Further minor doc edits, including
	hyphenation hint.

2017-06-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Namespaces): Document that reserved words and
	predefined functions can be namespace names but can be in
	the second part of a fully qualified name. (Design decision
	change.)

2017-06-11         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Namespaces): Document that reserved words and
	predefined functions can't be namespace names. Reformat the
	input a little bit.

2017-06-06         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Namespaces): Further clarifications. Move to
	`::' as the namespace separator.

2017-06-05         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in (Checking for MPFR): Fix typo.

2017-06-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Namespaces): Fixes in passwd.awk example. Document
	that indirect calls with an unadorned name assume "awk" namespace.

2017-05-30         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Initial doc on namespaces. Serves as a design
	right now.
	* gawktexi.in: More doc added.

2017-05-30         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document PROCINFO["argv"].

2017-05-29         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Checking for MPFR): New node on checking if
	gawk was invoked with -M.

2017-05-22         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document FIELDWIDTHS much better, including how
	it works in corner cases. Some general organizational improvements
	in this chunk of text.

2017-04-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Improve documentation of --source option.

2017-04-20         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document --disable-mpfr configure option.

2017-04-16         Arnold D. Robbins     <arnold@skeeve.com>

	* awkcard.in: Comment out description of intdiv().
	* gawk.1: Ditto.
	* gawktexi.in: References to intdiv changed to intdiv0 and
	bracketed inside @ifset INTDIV. Not set by default.

2017-04-16         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Improve documentation of the intdiv() function.

2017-04-12         Arnold D. Robbins     <arnold@skeeve.com>

	* it: New directory with Italian translation of the manual.
	* Makefile.am (EXTRA_DIST): Add `it' and wordlist2.

2017-04-12         Manuel Collado        <m-collado@users.sourceforge.net>

	* gawktexi.in, gawk.1: Small clarification of the patsplit behavior.

2017-04-11         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Minor style edits.

2017-04-10         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Document FIELDWIDTHS enhancement to support an optional
	field skip prefix. Document new PROCINFO["FS"] value "API".
	Document new get_record field_width argument that enables the API
	parser to override the default field parsing mechanism.

2017-04-07         Arnold D. Robbins     <arnold@skeeve.com>

	* using-git.texi: Removed.
	* gawkworkflow.texi: Added. New file.
	* wordlist2: New file.
	* Makefile.am: Revised for new document. Copyright years updated.

	* gawkworkflow.texi: Fix some spelling errors. :-(
	* wordlist2: Updated.
	* Makefile.am: Fix spell checking. :-(

2017-03-22         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawk.1: Document new PROCINFO["FS"] value "API".

2017-03-22         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* awkcard.in: Document FIELDWIDTHS enhancement to support an optional
	field skip prefix.
	* gawk.1: Ditto.

2017-03-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Improve the discussion of quoting on
	MS-Windows. Original text contributed by
	Vincent Belaiche <vincent.belaiche@gmail.com>.

2017-03-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Additional small writing tip in the notes
	after the @bye.

2017-03-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Edits preparatory to release.

2017-02-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: "timezone" --> "time zone".
	* awkcard.in: Update copyright year.

2017-02-21         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawk.1: Document new mktime optional 2nd utc-flag argument.
	* gawktexi.in: Ditto.
	* awkcard.in: Ditto.

2017-02-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix two typos.
	* wordlist.txt: Update.

	Related:

	* gawktexi.in: Fix more typos.
	* wordlist.txt: Update again.

2017-01-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update UPDATE-MONTH and copyright years.

2017-01-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Comment out stuff about awk.info, since that
	domain is now gone.

2016-12-05         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Explain why an API extension function might want
	to use the AWK_STRNUM type to return data.

2016-12-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update API table of type requested / type returned.

2016-12-22         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Minor edits after merging branches and some
	additional work in the code.

2016-12-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Further API clarifications and edits, add a
	section on backwards compatibility.

2016-12-16         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update description of awk_ext_func_t structure,
	again.

2016-12-14         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update description of awk_ext_func_t structure.

2016-12-05         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Document strnum changes as relates to API.
	Still stuff left to do -- tables for type conversions need
	to be updated to show new strnum and regex rows and columns.

2016-12-04         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Remove make_regex and replace it with make_const_regex
	and make_malloced_regex.

2016-12-04         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Document new flatten_array_typed API function, and
	indicate that the old flatten_array function has been superseded.

2016-11-30         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document typed regex changes as relates to API.
	Still stuff left to do.

2016-11-21         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Finish off discussion of strongly typed regexp
	constants and put it in the right place in the manual. A few other
	minor fixes.
	* wordlist: Updated.

2016-11-18         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Variable Typing): Rework and improve discussion
	of strings, numbers, and strnums.  Update description of strnum
	in other places.

2016-11-10         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix example use of dcngettext.
	Thanks to Sergey Tselikh <stselikh@gmail.com>
	for the report.

2016-11-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in, wordlist: Typo fix. ECBDIC --> EBCDIC.
	Thanks to Sergey Tselikh <stselikh@gmail.com> for the report.
	(bitwise-ops): Put table in @verbatim instead of @display.
	Works better for Info, text, and HTML. Thanks to
	Marco Curreli <marcocurreli@tiscali.it> for the report.

2016-11-04         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix a spelling error.
	* wordlist: Update.

2016-10-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document that negative arguments are not allowed
	for bitwise functions. Add a sidebar explaining it a bit and
	also showing the difference with and without -M.
	* gawk.1: Document that negative arguments are not allowed.

2016-10-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Remove references to MS-DOS and OS/2,
	simplify the whole section on PC operating systems.

2016-10-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Bugs): Rework this section and break into
	subsections, mainly to emphasize that I no longer
	read comp.lang.awk.

2016-09-20         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Group Functions): Typo fix. Reported
	by Jaromir Obr <jaromir.obr@gmail.com>.
	(Time Functions): Slightly enhance description of ISO 8601
	definition of first and last weeks. Thanks to
	Michel de Ruiter <mdruiter@gmail.com> for the note.

2016-08-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (POSIX String Comparison): Update for new
	spec where == and != use strcmp, rest use strcoll. Thanks to
	Chet Ramey for pointing me at the new rules.

2016-08-25         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.1.4: Release tar ball made.

2016-08-24         Arnold D. Robbins     <arnold@skeeve.com>

	* wordlist: Add more words.
	* gawktexi.in: Fix more typos.

2016-08-23         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.am (EXTRA_DIST): Add new file, wordlist.
	(spell): New target.
	* wordlist: New file.
	* gawktexi.in: Fix typos, adjust update date.
	* awkcard.in: Update copyright years.

2016-08-03         Arnold D. Robbins     <arnold@skeeve.com>

	Restored doc on typed regexes.

	* gawk.1, gawktexi.in: Updated.

2016-08-03         Arnold D. Robbins     <arnold@skeeve.com>

	Remove typed regexes until they can be done properly.

	* gawk.1, gawktexi.in: Updated.

2016-08-01         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Mark DJGPP port as unsupported.

2016-07-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix a typo. Thanks to Marco Curreli for reporting.

2016-07-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document return value of close on a pipe now like
	that of system: exit status, status + 256 for signal, or
	status + 512 for signal with core dump.

2016-07-18         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix a typo. Thanks to Antonio Colombo for reporting.

2016-07-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document GAWK_LOCALE_DIR env var and also to not
	use LANGUAGE env var.

2016-07-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Auto-set): Add example use of multiply function.

2016-06-30         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Typo fix. Thanks to Antonio Giovanni Colombo
	for noticing.

2016-06-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Document typeof(), update modified date.
	* awkcard.in: Document typeof().

2016-06-10         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix a typo, and replace hard-coded "section" with
	@value{SECTION} where appropriate. Thanks to Antonio
	Giovanni Colombo for the reports.
	(UPDATE-MONTH, PATCHLEVEL): Update to current before release.
	* awkcard.in: Update version.

2016-05-30         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Replace num_expected_args with max_expected_args.
	Explain what it's used for.

2016-05-25         Manuel Collado        <mcollado2011@gmail.com>.

	* gawktexi.in: Document new 'nonfatal' API function.

2016-05-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Typo fix in extension section, thanks to
	 Manuel Collado <mcollado2011@gmail.com>.

2016-05-02         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Document new CPP defines gawk_api_major_version and
	gawk_api_minor_version.

2016-04-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkinet.texi: Some general cleanups. Remove stuff commented
	out since 2001, index RFCs, change function name convention to
	match main gawktexi.in. Update the update month.

2016-04-06         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Two-way I/O): Document that writing to the closed
	write end of a two way pipe or reading from the closed read end
	can be made nonfatal.

2016-04-04         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in, gawkinet.texi: Enable use of braces in
	indexes. Requires Texinfo 6.0 or later.

2016-04-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Two-way I/O): Document that closing the "from"
	end waits for the process to exit, so it's not such a great idea.

2016-03-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkinet.texi: Small update about end of line vs full
	comments when pretty printing.

2016-03-21         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkinet.texi: Update UDP client and discussion, update
	modification dates and gawk versions.

2016-03-11         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Improve system() return values documentation.

2016-03-07         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document system() return values.
	* gawk.1: Add a pointer to the manual about same.

2016-02-23         Arnold D. Robbins     <arnold@skeeve.com>

	* sidebar.awk: Globally replace [[:space:]] with [ \t] so that
	it will work with old versions of mawk (as found, boo!, on many
	Debian-based distributions).  Thanks to Yehezkel Bernat for
	discovering and reporting the issue.

2016-02-20         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Bracket Expressions): Add a small note about
	Unicode in bracket expressions.

2016-02-18         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fixes in wc.awk and in cut.awk. Thanks to David Ward,
	dlward134@gmail.com.  Added an example of use of rewind(), also
	per suggestion from David Ward.
	* gawktexi.in: Update info about Texinfo versions.
	* gawktexi.in (Limitations): Fix Heisenberg Physics example and
	spelling of Heisenberg's name. Thanks to Hermann Peifer.

2016-02-14         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Revise for use with Texinfo 6.1.
	Remove ` @c' at the end of inline docbook constructs.
	Remove special @DB*REF macros, not needed anymore.
	Use @sup for superscripts where possible.
	* texinfo.tex: Updated.

2016-02-05         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Document that optimization in now the default,
	there are new -s/--no-optimize options and that
	pretty-printing and profiling disable optimization.
	* gawk.1: Ditto.
	* awkcard.in: Ditto.

2016-02-03         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in (Command-Line Options): Change wording of -M description
	to say "Select" instead of "Force".
	(Arbitrary-Precision Arithmetic Features): Tweak the wording to make
	it clear that MPFR is not used unless the -M option is supplied.

2016-02-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (VMS Running): Improve the Texinfo usage.

2016-01-31         John E. Malmberg     <wb8tyw@qsl.net>

	* gawktexi.in (VMS Running): Add instructions on how to redirect
	gawk data to a VMS command.

2016-01-18         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Bracket Expressions): Document that '[', '.' and
	'*' are literal inside bracket expressions.
	(Two-way I/O): Add stuff about stdbuf and deadlocks.

2016-01-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Array Sorting Functions): Clean up the code some,
	per suggestion from Michal Jaegermann. Tighten up the prose
	a bit too.

2016-01-14         Arnold D. Robbins     <arnold@skeeve.com>

	* ChangeLog: Remove spurious whitespace.

	Unrelated:

	* gawk.1: Restore text on PROCINFO["RETRY"] and fix up the
	formatting while we're at it. Thanks to Andrew Schorr for
	pointing out the problem.

2016-01-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Array Sorting Functions): Add an example of
	using a function name with asort(). Response to bug report
	Stephane Goujet <stephane.goujet@wanadoo.fr>.

2016-01-06         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Finish documenting that --pretty-print
	doesn't run the program. Thanks to Antonio
	Giovanni Colombo for the report and patch.

2016-01-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document that GNU/Linux on Alpha is no
	longer supported.

2015-12-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix some @c endfile. Thanks to Antonio
	Giovanni Colombo for the report and patch.

2015-12-20         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add PROCINFO["NONFATAL"] to the list for PROCINFO.
	* gawk.1: Ditto.

2015-12-18         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Update description of PROCINFO, and sort it properly.
	* gawktexi.in: Ditto.

2015-11-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add "exit" as synonym for "quit" in the
	debugger.  Suggested by Joep van Delft <joepvandelft@xs4all.nl>.

2015-11-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Minor edits.
	* gawk.1: Revise \x to maximum of two digits.

2015-11-04         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.am (pdf-local): Remove igawk.1.pdf. Ooops.

2015-10-30         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.am (awkcard.ps): Add options to force paper size
	to letter. This makes the cut marks come out correctly even
	if groff's default paper size is a4.

2015-10-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Put commas outside quoting in regexps to avoid
	confusion. Thanks to Mike Frysinger <vapier@gentoo.org>.

2015-10-16         Arnold D. Robbins     <arnold@skeeve.com>

	* awkcard.in: Fix tbl complaint.

2015-10-07         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Updated to a working version.

2015-10-04         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Revert update. It stopped working. I should learn
	to test these things. Thanks to Antonio Giovanni Colombo for
	the report.

2015-10-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Note that there is no support for SSL.

2015-09-25         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Update to latest.

2015-08-28	Daniel Richard G.	<skunk@iSKUNK.ORG>

	* doc/gawktexi.in: Check for the "struct passwd.pw_passwd" and
	"struct group.gr_passwd" fields and conditionalize their use, as
	they don't exist on z/OS.
	* Makefile.am (pdf-local): Renamed from "pdf", as Automake already
	defines "pdf" and warns us as much.

2015-08-14         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Typo fixes in Appendix A.
	Thanks to Antonio Colombo.

2015-07-30         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Small typo fix; thanks to Antonio Colombo
	for noticing.

2015-07-01         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update info on Quiktrim awk; thanks to
	Antonio Colombo for the pointer.

2015-06-30         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Limitations): Document that sometimes the
	debugger can affect the program being run.
	Thanks to Hermann Peifer for the test case.

2015-06-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update description of values returned by typeof.

2015-06-19         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkinet.info: Fix an old arnold@gnu.org.

2015-06-17         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Document inplace shortcomings -- it does not preserve
	ACLs, and it may leave temporary files behind if killed by a signal.

2015-06-17         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Document new inplace variable to control whether
	inplace editing is active.

2015-06-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Comment out exercise 10.3, since the answer
	is included in the text. Thanks to Antonio Colombo
	for pointing this out.

2015-06-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add another pithy quote from Chet Ramey. Currently
	commented out.

2015-05-31         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Revised description of default field parsing
	for POSIX. Newline is now a separator also.  Thanks to
	Michael Klement <michael.klement@usa.net> for pointing this out.
	* gawk.1: Updated too.

2015-05-30         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Bitwise Functions): Update results of testbits.awk.

2015-05-19         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.1.3: Release tar ball made.

2015-05-19         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Bump patch level and modified date.
	Move to modern version of @image.
	* texinfo.tex: Update to latest.
	* array-elements.txt: Remove texinfo commands.

2015-05-18         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add a pithy quote from Chet Ramey. Currently
	commented out.

2015-05-16         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix description of nextfile within a function. Sigh.

2015-05-15         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in (Undocumented): Describe the new PROCINFO["argv"] array.

2015-05-14         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Bugs): Add that email should be in plain
	text and not in HTML.  Sigh.

2015-05-11         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add doc on conversions for strongly typed
	regexp variables.

2015-05-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add initial documentation for strongly typed
	regexps and for `typeof'.

2015-04-29         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.1.2: Release tar ball made.

2015-04-16         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Undocumented): More info added.

2015-04-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update feature history section.

2015-04-07         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add a minor note to revisit FPAT pattern for CSV
	files at some point.

2015-04-05         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Replace http://gawkextlib.sourceforge.net with
	http://sourceforge.net/projects/gawkextlib, since the former link
	contains obsolete info.  Update the gawkextlib build instructions
	to point to http://sourceforge.net/projects/gawkextlib/files for the
	current info.

2015-04-05         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix a figure caption. Thanks to Antonio Colombo
	for pointing this out.
	* gawktexi.in: Additional typo fix, also thanks to Antonio.

2015-04-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in, gawk.1, awkcard.in: Name change: div() --> intdiv().

2015-03-31         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update discussion of calling built-in functions
	indirectly. Small additional fix relating to rand(). Thanks
	to Antonio Colombo.

2015-03-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Minor edits.

2015-03-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Minor fixes from Antonio Colombo and new exercise
	in chapter 16.
	* gawk.1: Minor edits.
	* gawktexi.in: Edits in material on errno and retryable and get_file
	API.

2015-03-17         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Modify inplace.awk to call inplace_end in BEGINFILE
	and END instead of in ENDFILE. This way, actions in ENDFILE rules
	will be redirected as expected.

2015-03-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Turn "positive" into non-negative as appropriate.
	Thanks to Nicholas Mills <nlmills@clemson.edu> for pointing out
	the issue.

2015-03-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Briefly describe that nonfatal I/O overrides
	GAWK_SOCK_RETRIES, in the env var part and in the nonfatal I/O
	part.

2015-03-01         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Change quotes to @dfn for pseudorandom.
	A last-minute O'Reilly fix.

2015-02-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update UPDATE-MONTH and copyright year.
	Note that "the guide is definitive" quote is really
	from "The Restaurant at the End of the Universe". Thanks
	to Antonio Colombo for pointing this out.

2015-02-24         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Update to most current version.
	* gawktexi.in: Minor edit to match an O'Reilly fix.
	Add some FIXMEs to one day use @sup.

2015-02-22         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Change 'div' to 'divisor' in some examples.
	This future-proofs against a new function in master.
	Thanks to Antonio Giovanni Colombo for the report.

2015-02-20         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More O'Reilly fixes. I think it's done!

2015-02-19         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More O'Reilly fixes.

2015-02-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: A few minor formatting fixes to sync with O'Reilly
	version.

2015-02-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: O'Reilly fixes. Through QC1 review.

2015-02-11         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: O'Reilly fixes.

2015-02-10         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Minor fixes, O'Reilly fixes.

2015-02-09         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Restore a lost sentence. O'Reilly fixes.

2015-02-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: O'Reilly fixes.
	Make non-fatal i/o use "NONFATAL".

2015-02-06         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: O'Reilly fixes.

2015-02-04         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: O'Reilly fixes.
	* gawktexi.in: Update various version-related bits of info.

2015-02-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: O'Reilly fixes.

2015-02-01         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: POSIX requirement that function parameters cannot
	have the same name as a function is now --posix.
	Restore indirectcall example.

	More O'Reilly fixes.

2015-01-30         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document POSIX requirement that function parameters
	cannot have the same name as a function. Fix indirectcall example.

2015-01-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: O'Reilly fixes.
	And still more. Also, fix @code --> @command in a number of places.

2015-01-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: O'Reilly fixes.

2015-01-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix a bad URL. And another one.
	More O'Reilly fixes.

2015-01-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: O'Reilly fixes.
	(Glossary): Many new entries from Antonio Giovanni Colombo.

2015-01-21         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: O'Reilly fixes.
	Remove obsolete start/end of range indexing comments.

2015-01-20         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: O'Reilly fixes.

2015-01-19         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkinet.texi: Fix capitalization in document title.
	* gawktexi.in: Here we go again: Starting on more O'Reilly fixes.

2014-12-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add info that nonfatal I/O works with stdout and
	stderr.  Revise version info and what was added when.

2015-01-05         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Improve get_file documentation.

2015-01-05         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Replace "Retrying I/O" with "Retrying Input", since this
	feature pertains to input, not output.

2015-01-04         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Document the get_file API function.

2015-01-04         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawk.1: Document new features PROCINFO["errno"] and
	PROCINFO["input", "RETRY"], and new getline return value of -2.
	* gawktexi.in: Ditto.

2014-12-26         Antonio Giovanni Colombo   <azc100@gmail.com>

	* gawktexi.in (Glossary): Really sort the items.

2014-12-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Start documenting nonfatal output.

2014-12-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add one more paragraph to new foreword.
	* gawktexi.in: Fix exponentiation in TeX mode. Thanks to
	Marco Curreli by way of Antonio Giovanni Colombo.

	* texinfo.tex: Updated.

2014-12-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Minor fix.
	Thanks to Teri Price <tjp212@lehigh.edu>.

2014-12-10         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More minor fixes.

2014-12-09         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More minor fixes.

2014-12-07         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Minor fixes.

2014-12-06         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: A minor fix.

2014-12-05         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Various minor fixes and updates.

2014-11-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update that TZ env. var can influence mktime
	in running program.  Thanks to Hermann Peifer.

2014-11-19         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update that RFC 4180 documents CSV data.

2014-11-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Copyedits applied.

2014-11-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Comment out that I need an owner for awk.info.
	I may have found one or two people.

2014-10-29         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Document new extras directory containing shell startup
	files to manipulate AWKPATH and AWKLIBPATH environment variables.

2014-10-28         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Clarification that debugger reads stdin.
	* gawktexi.in: Ditto, and correctly place the "Braces" entry in
	the Glossary. Thanks to Antonio Colombo for that.

	Unrelated:

	* gawktexi.in: Restore use of @sc. Karl fixed makeinfo. :-)

2014-10-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Minor typo fixes.
	Fix discussion of \x, per note from Antonio Colombo.

2014-10-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix date in docbook attribution for new Foreword;
	thanks to Antonio Colombo for the catch.  Update latest version
	of gettext.

2014-10-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Fix default value for AWKLIBPATH.
	* gawktexi.in: Revised text for AWKPATH and AWKLIBPATH.

2014-10-14         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add new Foreword from Mike Brennan.

2014-10-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix example outputs in chapter 2.
	Improve description of SYMTAB.

2014-10-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Revise doc for {INT,STR}_CHAIN_MAX. Remove Pat
	Rankin from VMS duties (per his request). Add a small TeX fix
	for the table in ch 16 for requesting values.

2014-10-05         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Finished changes!

2014-10-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (EMRED): Renamed from EMISTERED to match original.
	Thanks to Warren Toomey at TUHS for access to archives recording
	the text.

2014-10-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Pretty much done!

	Unrelated:

	* gawktexi.in: Fix braino in awk version of div function.
	Thanks to Katie Wasserman for the catch.

2014-10-01         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More fixes after reading through the MS.

	Unrelated:

	* gawktexi.in: Add Katie Wasserman's program to compute
	the digits of PI.

	Unrelated:

	* gawktexi.in: Document the differences between profiling
	and pretty printing.

2014-09-30         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More fixes after reading through the MS.

2014-09-29         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More fixes after reading through the MS.
	And still more fixes.

2014-09-28         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More fixes after reading through the MS.
	Document the debugger's "where" command.

2014-09-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Lots more fixes after reading through the MS.

2014-09-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Rework the documentation of special files in
	Chapter 5; some reordering as well as rewriting.

2014-09-22         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktex.in: Continue fixes after reading through the MS.

2014-09-21         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktex.in: Start on fixes after reading through the MS.

2014-09-18         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix italics in quotations.  Some docbook special
	cases.

2014-09-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document that identifiers must use the English
	letters.

2014-09-14         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More edits during review, minor addition.

2014-09-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Remove text that won't get used.

2014-09-07         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Minor cleanups.

2014-09-05         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document builtin functions in FUNCTAB and in
	PROCINFO["identifiers"].
	* gawk.1: Ditto.

	Unrelated:

	* gawktexi.in: More stuff from reviewer comments.

2014-09-04         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document that indirect calls now work on built-in
	and extension functions.
	* gawk.1: Same.

2014-09-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Further fixes from reviews and bug reports.

2014-09-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Corrections to walkthrough in debugger chapter.
	Thanks to David Ward <dlward134@gmail.com> for the problem report.

2014-09-01         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add index entry for @ - @load, @include,
	and indirect function calls. Thanks to "Kenny McKormack" in
	comp.lang.awk.

2014-08-29         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Continuing on reviewer comments, and other
	bug fixes, miscellaneous improvements.

2014-08-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Use a different mechanism to exclude
	exercises. Remove use of LC_ALL in an example; doesn't seem
	to be needed anymore.

	Unrelated:

	* gawktexi.in: Document that MirBSD is no longer supported.

2014-08-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Exercises are excluded from print edition.

2014-08-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Continuing on reviewer comments.

2014-08-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Continuing on reviewer comments.

2014-08-22         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Continuing on reviewer comments.

2014-08-20         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Continuing on reviewer comments.

2014-08-16         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Continuing on reviewer comments.

2014-08-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Continuing on reviewer comments.

2014-08-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Starting on reviewer comments.
	Update acknowledgements.

2014-08-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Cause div.awk to get into the example files.

2014-08-06         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Misc minor additions.

2014-08-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: For sprintf %c document that if value is a valid
	wide character, gawk uses the low 8 bits of the value.

	Unrelated:

	* gawktexi.in: Fix doc for API get_record - errcode needs to
	be greater than zero.

2014-07-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Numeric Functions): For `div()', clarify
	truncation is towards zero.  Thanks to Michal Jaegermann
	for pointing out the need to clarify this.

2014-07-10         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Numeric Functions): Document new `div()' function.
	(Arbitrary Precision Integers): Document raison d'etre for div().
	* gawk.1, awkcard.in: Document `div()'.

2014-07-04         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Bracket Expressions): Add a note about how to
	match ASCII characters.  Thanks to Hermann Peifer.

2014-06-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update permissions on copyright page per
	latest maintain.texi. Add GPL to print version of book.

2014-06-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Document that --pretty-print no longer runs the
	program. Remove mention of GAWK_NO_PP_RUN env var.

2014-06-22         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Typo fixes and minor corrections.

2014-06-19         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add thanks to Patrice Dumas and to Karl Berry.
	Per request from Hermann Peifer, try to clarify how local variables
	in functions are initialized.

2014-06-18         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Split 6.1.4 into subsections. Other minor fixes.

2014-06-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Finish adding exercises.
	Rework chapter 15 on floating point and MPFR.
	Spell check. Fix menues.

2014-06-16         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Start adding exercises.

2014-06-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Finish up summaries. Improvements in mystrtonum().

2014-06-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix typos from changes of 3 June when macros were
	added for filename, data file, etc. Ooops.

2014-06-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More "Summary" sections. Through chapter 14.

2014-06-11         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More "Summary" sections. Through chapter 10.

2014-06-10         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update docbook figure markup.

2014-06-09         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More "Summary" sections.
	Judiciously arrange for full xrefs in docbook in a few spots.

2014-06-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Start adding "Summary" sections.

2014-06-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Restore macros for file name vs. filename etc.
	Go through @if... and @ifnot... and fix them up too. Other misc.
	cleanup.

2014-05-29         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Remove some obsolete bits, fix up some other
	minor stuff.

2014-05-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Edits through the end!

2014-05-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Edits through Appendix A.
	* gawktexi.in: Tweak nested lists for docbook.

2014-05-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Staying current): New section.

2014-05-22         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in (BEGINFILE/ENDFILE): Update doc for getline - any
	redirected form is allowed inside BEGINFILE/ENDFILE.

2014-05-21         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add comments for where we need full xrefs in
	docbook.

2014-05-20         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Misc improvements for docbook, consistency
	in table and figure captions.

2014-05-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Edits through Chapter 16.

2014-05-16         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Edits through Chapter 14.

2014-05-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix displays for docbook, edits through Chapter 11.

2014-05-14         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix real preface for docbook.

2014-05-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Complete formatting for FOR_PRINT and not FOR_PRINT.

2014-05-07         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Docbook edits for preface and parts.
	Document AWKBUFSIZE.

2014-05-05         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Editing progress. Through Chapter 9.

2014-05-05         Michal Jaegermann     <michal@harddata.com>

	* array-elements.fig: Fix subscripts to be aligned
	horizontally.  Regenerate the other files.

2014-05-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Editing progress. Through Chapter 8.
	* array-elements.eps, array-elements.fig, array-elements.pdf,
	array-elements.png array-elements.txt: New files.
	* Makefile.am (EXTRA_DIST): Add them.

2014-04-30         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Editing progress. Through Chapter 5.
	* gawktexi.in: Editing progress. Through Chapter 6 and into
	Chapter 7.

2014-04-29         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Editing progress. Through Chapter 3.

2014-04-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Start on revisions.

2014-04-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Remove the bit about single character programs overflowing
	the parse stack. It doesn't seem to be true anymore.

2014-04-08         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.1.1: Release tar ball made.

2014-04-08         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Update to latest.
	* awkcard.in: Update copyright, patchlevel in download.
	* gawktexi.in: Update patchlevel, update month, spell check.

2014-03-30         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Cleanups to docbook, finish math stuff.

2014-03-28         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Minor cleanups to the indexing.

	Unrelated:

	* gawktexi.in: Merge in changes needed for creating valid
	DocBook XML. Works with post-5.2 Texinfo and dblatex!

2014-03-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Finish the massive indexing improvements such that
	functions are indexed the way I want in TeX and the way Eli
	wants in Info.

	Unrelated:

	* gawktexi.in: Add a note in extension chapter that lookup of
	PROCINFO can fail.

2014-03-27         Eli Zaretskii             <eliz@gnu.org>

	* gawktexi.in: First round of massive indexing improvements.

2014-03-27         Antonio Giovanni Colombo   <azc100@gmail.com>

	* gawktexi.in: Redo all the examples using BBS-list to a different
	file that doesn't use out-of-date concepts.

2014-03-10         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Finish indexing improvements. (For now, anyway.)

	Unrelated:

	* gawk.1: Document the quote flag! (Better late than never.)
	* awkcard.in: Update documentation of quote flag.

2014-03-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Minor edits to the discussion of the memory allocation
	functions.

2014-03-08         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawktexi.in: Document new extension API functions api_malloc,
	api_calloc, api_realloc, and api_free.

2014-03-07         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Indexing improvements.

2014-03-02         John E. Malmberg      <wb8tyw@qsl.net>

	* gawktexi.in: Remove paragraph about obsolete VMS
	  compilers.  Update reference about building PCSI kit.

2014-02-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Lots of small fixes throughout, update of
	profiling output.  Finished fixes needed before a release.

2014-02-20         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add a quote to the alarm clock program.

2014-02-15         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Update to latest.

2014-02-14         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Lots of small edits.

2014-02-07         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More minor fixes, update UPDATE_MONTH.

2014-02-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More minor fixes, in indexing.

2014-02-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in, gawkinet.texi: Minor fixes, mostly in indexing.
	* texinfo.tex: Update to latest.

2014-01-31         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add `()' to names of extension functions in indexing
	commands and in one place in the text. Consistency, don'tcha know.

2014-01-30         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add a few missing STARTOFRANGE comments.
	* gawk.1: Note that `(i, j) in array' doesn't work in for loops.
	Update the copyright year.

2014-01-28         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update info for Anders Wallin.

2014-01-25         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Updated to current version.
	* gawktexi.in: Add magic stuff so that PDFs have "dark red"
	links like before.

2014-01-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Feature History): New node.
	(Common Extensions): Update features now in mawk, too.

2014-12-14         John E. Malmberg      <wb8tyw@qsl.net>

	* gawktexi.in: Add information on building VMS PCSI kit.

2014-01-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Full Line Fields): New node.
	Update copyright year.

2013-12-29         John E. Malmberg      <wb8tyw@qsl.net>

	* gawktexi.in: VMS dynamic extensions.

2013-12-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: More minor additions / fixes.
	(Bugs): Add John Malmberg for VMS. Other minor edits.

2013-12-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Minor additions / fixes.

2013-12-23         John E. Malmberg      <wb8tyw@qsl.net>

	* gawktexi.in: Document the VMS exit status encoding.

2013-12-21         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Additional Configuration Options): Document
	the --disable-extensions option.

2013-12-16         John E. Malmberg      <wb8tyw@qsl.net>

	* gawktexi.in: Updates to VMS sections.

2013-12-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix the presentation of asort() and asorti().
	Thanks to Andy Schorr for pointing out the problems.

2013-11-28         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update quotations to use @author, fix a few
	placements of footnotes.

2013-11-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Update the list of files included in the gawk
	distribution and fix a few typos.

2013-11-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Fix the section and subsection headings in
	the Preface.  Also change the short title page to just
	"GNU Awk".

2013-10-31         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Add @shorttitlepage command.

2013-10-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Contributors): Update with more info.
	(Distribution contents): Ditto.
	General: Remove all hyphens when used with "multi" prefix.

2013-10-22         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Other Environment Variables): Document GAWK_MSG_SRC
	variable and fix documentation of *_CHAIN_MAX variables.

2013-10-11         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Conversion, Printf Ordering): Better wording for
	descriptions of CONVFMT. Thanks to Hermann Peifer.

2013-09-29         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Other Versions): Updated info on MKS awk and
	some other links.

2013-09-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Readfile function): New node.

2013-09-22         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (FN, FFN, DF,DDF, PVERSION, CTL): Remove macros.
	They have no alternate versions and are just in the way.

2013-08-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Document that ENVIRON updates affect the environment.
	* gawktexi.in: Ditto.

2013-06-27         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Update from Karl, fixes a formatting problem.
	* gawktexi.in (Conversions): Undo @w{} around @option{--posix}.

2013-06-22         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Type Functions): Add more explanation to isarray(),
	including that it makes no sense to call it at the global level.

2013-06-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Make it crystal clear not to use delete with FUNCTAB,
	or attempt to assign to it.

2013-05-29         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Internal File Description): Add "devbsize" element
	to stat data array.

2013-05-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Sample filefuncs.c extension code: Change test from
	ifdef HAVE_ST_BLKSIZE to HAVE_STRUCT_STAT_ST_BLKSIZE.

2013-05-21         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (Quick Installation): Add a paragraph advising to
	run `make install'. Thanks to Hermann Peifer.

2013-05-16         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in (gawkextlib): Add a note to use make install on
	gawkextlib itself. Thanks to Hermann Peifer.
	(Cut program): Fix test for skipping lines if -s was supplied.
	Thanks to David Ward <bamberward@gmail.com> for the bug report.

2013-05-09         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.1.0: Release tar ball made.

2013-05-09         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in, gawk.1: Document that a regexp constant as the second
	argument to index() produces a fatal error.
	* gawktexi.in: More cleanups. Particularly, cleanup the index.

2013-04-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawktexi.in: Renamed from gawkman.texi.
	Add a reference to Overton's IEEE Math book in MPFR chapter.
	Thanks to Nelson Beebe for the recommendation.
	* Makefile.am, sidebar.awk: Adjusted.

2013-04-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkman.texi: Cleanup in MPFR and API chapters.
	Also minor cleanup in design decisions. Add vim modeline.
	* api-figure2.fig: Minor fix.
	* api-figure2.eps, api-figure2.pdf, api-figure2.png: Regenerated.

2013-04-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Finish cleanup pass.
	* awkcard.in: Document that getline sets RT.
	* gawkman.texi: Ditto.

2013-04-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Start cleanup pass.
	* awkcard.in: Minor addition.
	* gawkman.texi: Minor fixes.

	* gawk.1, gawkman.texi: Document PROCINFO entries for API
	major and minor versions.

2013-04-21         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkman.texi: Update all the menus. Fix spelling errors. Remove
	some unneeded fakenodes.

2013-04-20         Arnold D. Robbins     <arnold@skeeve.com>

	* awkcard.in: Clean up and bring up to date.

2013-04-17         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.am (gawk.ps, gawkinet.ps): Set TEXINPUTS to point
	at $(srcdir) to be able to include various figures if doing a
	build not in the source directory.

2013-04-16         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkman.texi: New file. This is now the real source for the
	manual and gawk.texi is generated from it.
	* sidebar.awk: New file to DTRT for sidebars in the manual.
	* Makefile.am (EXTRA_DIST): Update.
	(gawk.texi): Add new rule to create / update it if necessary.

2013-04-16         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Pretty much finish cleanup. Move i18n chapter to
	after advanced features chapter.
	* texinfo.tex: Updated to current in texinfo SVN.

2013-04-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Continue cleanup.

2013-04-14         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Add link to 'pawk' - awk for python.
	Further cleanups.

2013-04-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Continue cleanup.

2013-04-11         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Continue cleanup.

2013-04-04         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Continue cleanup.

2013-04-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Continue cleanup.

2013-04-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Start a simple cleanup pass before the release.

2013-03-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Update URL for texinfo, fix a typo.

2013-03-04         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (Getline/Pipe): Add a nice quote from BWK.

2013-02-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Restore centering of text images.

2013-02-07         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (Other Versions): Remove the description of xmlgawk.

2013-02-06         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: For Info output, don't use @center on text images
	since the new makeinfo doesn't yet center the file as a block.
	Thanks to Karl Berry for the diagnostic.
	* gawk.1: Remove commented out doc for -m option which was for
	compatibility with BWK awk. His awk dropped it back in 2007.

2013-01-31         Arnold D. Robbins     <arnold@skeeve.com>

	* api-figure2.txt, api-figure3.txt: Convert tabs to spaces.
	* gawk.texi (Gory Details): Fix a command that new makeinfo doesn't
	recognize.
	(Conversion): Update example to be in POSIX mode. Thanks to
	Hermann Peifer.

2013-01-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (Dynamic Typing): Clarify that gawk dies after the
	first fatal error on the test program. Thanks to Hermann Peifer.

2013-01-21         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (Setting Precision): Fix a typo. 3.322 instead
	of 3.332.  Thanks to Hermann Peifer.

2013-01-09         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Minor edits to documentation for new inplace extension.

2013-01-08         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawk.texi: Add documentation for new inplace extension.

2013-01-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi, awkcard.in: Sync what mawk has. Main point of
	interest is that mawk supports the three time functions.

2013-01-06         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi, awkcard.in: Add Git Hub info for BWK awk.
	Update copyrights.
	* gawk.texi: Add Software Tools quote in chapter on library functions.

2012-12-25         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Remove doc sym_constant() API function.

2012-12-24         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.0.2: Release tar ball made.

2012-12-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Remove an incorrect comment.
	* awkcard.in: Bump patch level.

2012-12-18         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (Input Parsers): Add info on read_func.

2012-12-16         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Move design decisions on new API to appendix C.
	Move section on old extensions to last in the same appendix.

2012-12-15         Arnold D. Robbins     <arnold@skeeve.com>

	* macros: Update to GPL Version 3 and add copyright year.
	* texinfo.tex: Updated, from automake 1.12.6.
	* gawk.texi (Derived Files): A few minor fixes.

2012-12-09         Arnold D. Robbins     <arnold@skeeve.com>

	* awkforai.txt: Changed content to be pointers to the article
	to avoid copyright issues.
	* gawk.texi: Updated description of awkforai.txt.

2012-12-07         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (I/O Functions): Document that fflush() is now part
	of POSIX. Fix in a few other places as well.
	* awkcard.in: Update for fflush().

2012-12-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Fix all @tex ... @end tex tables to use a different
	control character than @ so that the new makeinfo won't
	complain about them. Thanks to Karl Berry for the guidance.
	(Old Extension Mechanism): New node.

2012-12-01         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: API chapter. Sync with gawkapi.h

2012-11-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: API chapter. Change command for making shared libs
	to use gcc, not ld. Thanks to Nelson Beebe.
	(I/O Functions): Document new behavior for fflush().
	* gawk.1: Update for fflush().
	* awkcard.in: Ditto. And some general cleanup.

2012-11-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (Future Extensions): Point to TODO file in the
	gawk dist.
	(Implementation Limitations): New node, from old LIMITATIONS file.

2012-11-22         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: In API chapter, document the full list of include
	files that need to be included.

2012-11-21         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: In API chapter, update behavior of stat function
	in the filefuncs extension.  Update the code example and prose
	to match the current code.

2012-11-19         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: In API chapter, update behavior of readdir extension.

2012-11-16         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Minor edits in API chapter.
	Thanks to Nelson Beebe.

2012-11-14         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Minor edits in API chapter.
	Thanks to Andrew Schorr.

2012-11-06         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Rearrange chapter order and separate into parts
	using @part for TeX.  Fix capitalization in @caption text.
	(Variable Scope): Document that arrays can be local also.
	Thanks to Denis Shirokov <cosmogen@gmail.com>, for pointing out
	the lack.

2012-11-05         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Semi-rationalize invocations of @image.

2012-11-04         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: New chapter on extension API.
	* api-figure1.pdf, api-figure2.pdf, api-figure3.pdf,
	general-program.pdf, process-flow.pdf: New files. Again.
	* Makefile.am (EXTRA_DIST): Update. Again.

2012-11-03         Arnold D. Robbins     <arnold@skeeve.com>

	* api-figure1.pdf, api-figure2.pdf, api-figure3.pdf: Removed.
	* api-figure1.txt, api-figure2.txt, api-figure3.txt,
	api-figure1.png, api-figure2.png, api-figure3.png: New files.
	* Makefile.am (EXTRA_DIST): Update.

	* gawk.texi: Fix up images.
	* general-program.pdf, process-flow.pdf: Removed.
	* general-program.png, process-flow.png,
	general-program.txt, process-flow.txt: New files.
	* Makefile.am (EXTRA_DIST): Update.

2012-10-31         Arnold D. Robbins     <arnold@skeeve.com>

	* api-figure1.eps, api-figure1.fig, api-figure1.pdf,
	api-figure2.eps, api-figure2.fig, api-figure2.pdf,
	api-figure3.eps, api-figure3.fig, api-figure3.pdf: New files.
	* Makefile.am (EXTRA_DIST): Add the above.

2012-10-28         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (Glossary): Document cookie, some cleanup of
	notes at the end.

2012-10-19         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: More doc on SYMTAB.

2012-10-05         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.am (LN, install-data-hook, uninstall-hook): Removed. No
	longer needed since dgawk and pgawk are gone.

2012-10-13         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.am: Add dgawk.1 to man page links created / removed
	on install / uninstall. (On stable branch.)

2012-10-02         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (Glossary). Correct the full name for `ISO' per
	bug report from William Bresler <wbresler@acm.org>. Add a link
	to the ISO website.

	* gawk.texi, gawk.1, awkcard.in: Document FUNCTAB, SYMTAB, and
	PROCINFO["identifiers"]. Including that delete does not work
	on FUNCTAB and SYMTAB.

2012-09-23         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (Nextfile Statement): Document that it's now part of POSIX
	and update the title.
	(Delete): Document that `delete array' is now part of POSIX.
	* awkcard.in: Adjust coloring for nextfile and delete array.

2012-09-07         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Updated to version 2012-09-05.06.

2012-08-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Minor edits, fix some spelling mistakes.

2012-08-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: More edits to chapter on arithmetic.
	Primarily English changes.

2012-08-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Emphasize more that floating point behavior is
	not a language issue. Add a pointer to POSIX bc.
	Move arithmetic chapter to later in the book, before chapter
	on dynamic extensions.

2012-08-17         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Update infrastructure to Automake 1.12.3.

2012-08-14         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Fixed a math bug in the chapter on multiple
	precision floating point. Thanks to John Haque.

2012-08-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Merged discussion of numbers from Appendix C into
	the chapter on arbitrary precision arithmetic. Did some surgery
	on that chapter to organize it a little better.

2012-08-10         Arnold D. Robbins     <arnold@skeeve.com>

	* awkcard.in, gawk.1, gawk.texi: Updated. Mostly for new API stuff
	but also some other things.
	* gawk.texi (Derived Files): New node.

2012-08-01         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.am (install-data-hook): Install a dgawk.1 link to the
	man page also. Remove it on uninstall.

2012-07-29         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawk.texi: Document that RT is set by getline.

2012-07-04         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi, gawk.1, awkcard.in: Document that and(), or(), and
	xor() can all take any number of arguments, with a minimum of two.

2012-06-10         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawk.texi: Rename gettimeofday function to getlocaltime, since
	the new time extension will provide gettimeofday.

2012-05-24         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawk.texi, gawk.1: Replace references to dlload with dl_load.
	But much more work needs to be done on the docs.

2012-05-19         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawk.texi, gawk.1: Document new -i option, and describe new default
	.awk suffix behavior.

2012-04-01         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawk.texi: Replace documentation of removed functions update_ERRNO and
	update_ERRNO_saved with descriptions new functions update_ERRNO_int,
	update_ERRNO_string and unset_ERRNO.  And fix a couple of examples
	to use update_ERRNO_int instead of update_ERRNO.

2012-03-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Minor style edits.

2012-03-21         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawk.texi, gawk.1: Document new @load keyword.

2012-03-20         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawk.texi, gawk.1: Add AWKLIBPATH.

2012-08-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (Ranges and Locales): Clarified ranges and
	locales. Again.

2012-08-05         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (PC Binary Installation): Document Eli Zaretskii's
	site.
	(Records): Update case of RS = "a". It only prints 1 if in
	POSIX mode. Thanks to Jeroen Schot who first reported it.

2012-07-20         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (Ranges and Locales): Clarified ranges and
	locales.

2012-07-13         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (Getline Notes): Discuss side effects in
	argument expression.

2012-06-29         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi, awkcard.in: Latest mawk understands /dev/stdin.

2012-04-27         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Add that -b affects output.

2012-04-27         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Update to latest from automake 1.12.

2012-04-09         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: Update to latest from automake 1.11.4.

2012-04-11         John Haque     <j.eh@mchsi.com>

	* gawk.texi: Change RNDMODE to ROUNDMODE.
	* gawk.1, awkcard.in: Ditto.

2012-04-11         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Change --arbitrary-precision to --bignum.
	* gawk.1: Ditto.
	* awkcard.in: Add --bignum, RNDMODE, PREC.

2012-04-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Editing on new chapter on arbitrary precision numbers.

2012-03-31         John Haque     <j.eh@mchsi.com>

	* gawk.texi, gawk.1: Add text on support for arbitrary precision
	numbers.

2012-02-06         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi, gawk.1: And some minor edits thereunto.

2012-02-03         John Haque     <j.eh@mchsi.com>

	* gawk.texi, gawk.1: Add text on read timeout.

2011-12-28         Arnold D. Robbins     <arnold@skeeve.com>

	* awkcard.in, gawk.1: Minor edits after merge of executables.

2011-12-21         John Haque     <j.eh@mchsi.com>

	* gawk.texi: Updated sections on profiling and debugging
	after merging the exes. Document new options --debug and
	--load, and add a sub-section on loading extension library.
	* gawk.1: Same.
	* awkcard.in: Same.

2012-03-28         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.0.1: Release tar ball made.

2012-02-10         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi, awkcard.in: Bump patch level.
	* texinfo.tex: Updated from Texinfo CVS.

2011-12-06         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Various typo fixes from mailing list.

2011-11-10         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Fix some .BR to be .B.

2011-11-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Further improvement in the discussion of sorted array
	traversal. Some sections reordered and text edited to suit.

2011-11-06         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Try to improve discussion of sorted array
	traversal.

2011-09-24         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.1: Fix some spelling errors. Thanks to
	Jeroen Schot <schot@A-Eskwadraat.nl>.
	* gawk.texi: Some minor fixes.

2011-08-31         John Haque     <j.eh@mchsi.com>

	* gawk.texi: Updated gawk dynamic extension doc.

2011-07-28         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi (Gory Details): Restore text on historical behavior
	etc. and add explanation on gawk 4.0.x.

2011-07-17         Arnold D. Robbins     <arnold@skeeve.com>

	* gawk.texi: Add reference in node Expressions to node Precedence,
	based on suggestion from Dan Jacobson dated 4 Jun 2001.

2011-07-17  Paul Eggert  <eggert@twinsun.com>

	* gawk.texi: Warn up-front (indirectly) that plain gawk is not
	compatible with SVR4 awk and with POSIX awk.  Describe how
	gawk differs from the GNU standard in its interpretation of
	POSIXLY_CORRECT.  (From mail dated 15 May 2001).

2011-06-24         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.am (EXTRA_DIST): Add ChangeLog.0.
	* 4.0.0: Remake the tar ball.

2011-06-23         Arnold D. Robbins     <arnold@skeeve.com>

	* ChangeLog.0: Rotated ChangeLog into this file.
	* ChangeLog: Created anew for gawk 4.0.0 and on.
	* 4.0.0: Release tar ball made.
